﻿@using SportsClub.Areas.Dashboard.Models
@model SchoolSeasonGeneralSettingViewModel
@{
    Layout = null;
}

<style>

</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SeasonSchoolSetting({seasonDomain: MC.stateParams.seasonDomain})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                General information
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <div>
                <label>Make-up opening date</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.MakeUpOpeningDate)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <div class="clearfix"></div>

                <label>Make-up closing date</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.MakeUpClosingDate)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <div class="clearfix"></div>
                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.AMClassesPossible)" type="checkbox">
                            <span class="check"></span>
                            AM classes possible
                        </label>
                    </div>
                </div>
                <div class="clearfix"></div>
                <label>AM classes start time</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.AMClassesStartTime)" k-options="MC.timePickerOptions5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Select AM classes start time">
                </div> 
                <div class="clearfix"></div> 
                <label>PM classes start time</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.PMClassesStartTime)" k-options="MC.timePickerOptions5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Select PM classes start time">
                </div>  
                <div class="clearfix"></div>
                <label>PM classes start time - early dismissal</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.PMClassesStartTimeEarlyDismissal)" k-options="MC.timePickerOptions5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Select PM classes start time - early dismissal">
                </div>  
                <div class="clearfix"></div>
                <label>Stage</label>
                <div class="input-control choosen" data-role="input-control">
                    <div>

                        <select chosen ng-model="@Html.Ang(m => m.SelectedSeasonStage)"
                                name="schoolType" data-placeholder="Select season stage"
                                ng-options="obj.Value as obj.Text for obj in Model.SeasonStageList"></select>
                    </div>

                </div>
                <div class="clearfix"></div>
             
                  </div>
        </fieldset>
       

        <div class="clearfix"></div>
        <hr />
        <button ngaction="Season_SchoolSetting_GeneralInfo_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SeasonSchoolSetting({seasonDomain: MC.stateParams.seasonDomain})'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>